package bufferings.ktr.i18n.test.client;

import bufferings.ktr.i18n.client.KtrI18N;

public class SimpleNameSample {

  private final MyConstants myConstants =
    KtrI18N

    .

    createConstants

    (

      MyConstants

      .

      class

    )

    ;

  public MyConstants getMyConstants() {
    return myConstants;
  }

  public MyMessages getMyMessages() {
    return KtrI18N.createMessages(MyMessages.class);
  }

  public MyConstants getMyConstantsWithLocale(String language, String country) {
    return KtrI18N.createConstants(
      MyConstants.class,
      language,
      country);
  }

  public MyMessages getMyMessagesWithLocaleJa() {
    return KtrI18N.createMessages(
      MyMessages.class,
      "j" +
      "" +
      "a",
      "");
  }

}
