package bufferings.ktr.i18n.test.client;

import static bufferings.ktr.i18n.client.KtrI18N.createConstants;
import static bufferings.ktr.i18n.client.KtrI18N.createMessages;

public class StaticImportSample {

  private final MyConstants myConstants =
    createConstants

    (

      MyConstants

      .

      class

    )

    ;

  public MyConstants getMyConstants() {
    return myConstants;
  }

  public MyMessages getMyMessages() {
    return createMessages(MyMessages.class);
  }

  public MyConstants getMyConstantsWithLocale(String language, String country) {
    return createConstants(
      MyConstants.class,
      language,
      country);
  }

  public MyMessages getMyMessagesWithLocaleJa() {
    return createMessages(
      MyMessages.class,
      "j" +
      "" +
      "a",
      "");
  }

}
